%define name gfract
%define version 0.21
%define release 2mdk

Name: %{name}
Summary: GTK-based fractal program (Mandelbrot and Julia sets)
Version: %{version}
Release: %{release}
Source0: http://www.cs.helsinki.fi/u/salerma/gfract/gfract-%{version}.tar.bz2
Source1: gfract-palettes-0.1.tar.bz2
Patch0: gfract-0.21-add-pkgdatadir.patch.bz2
Copyright: GPL
Url: http://www.cs.helsinki.fi/u/salerma/gfract/
Group: Sciences/Mathematics
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
# Author: osku@iki.fi

%description
Gfract is a GTK-based fractal program that implements the standard
Mandelbrot and Julia sets. It features infinite image size with infinite
anti-aliasing if you have the memory for it (well, at least 2^31 x 2^31
image sizes), Julia instant preview mode and PNG support. For palette
files it uses the same format as Fractint does.

%prep
%setup -q
%patch0 -p0

%build
make DATADIR=%{_datadir} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_bindir}
install gfract $RPM_BUILD_ROOT/%{_bindir}

install -d $RPM_BUILD_ROOT/%{_datadir}/gfract/palettes
tar jxf %{SOURCE1} -C $RPM_BUILD_ROOT/%{_datadir}/gfract/palettes

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README TODO BUGS KEYS
%{_bindir}/*
%{_datadir}/*

%changelog
* Tue Sep 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.21-2mdk
- rebuild
- use our cflags
- fix summary-too-long

* Mon May  7 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.21-1mdk
- initial spec
